using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace SHH.CameraDashboard;

// 1. 对象为空时隐藏，不为空时显示
public class NullToVisibilityConverter : IValueConverter
{
    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
        return value == null ? Visibility.Collapsed : Visibility.Visible;
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
        throw new NotImplementedException();
    }
}